### eqmake4 was here ###
CONFIG += designer plugin release
TARGET      = $$qtLibraryTarget(qad_widgets_plugin)
TEMPLATE    = lib

HEADERS     = qad_widgets.h \
    spinsliderplugin.h colorbuttonplugin.h \
    chardialogplugin.h shortcutsplugin.h qipeditplugin.h \
    clineeditplugin.h ecomboboxplugin.h \
    qpointeditplugin.h qrecteditplugin.h \
    qpiconsoleplugin.h iconedlabelplugin.h \
    qcodeeditplugin.h qvarianteditplugin.h
SOURCES     = qad_widgets.cpp \
    spinsliderplugin.cpp colorbuttonplugin.cpp \
    chardialogplugin.cpp shortcutsplugin.cpp qipeditplugin.cpp \
    clineeditplugin.cpp ecomboboxplugin.cpp \
    qpointeditplugin.cpp qrecteditplugin.cpp \
    qpiconsoleplugin.cpp lconedlabelplugin.cpp \
    qcodeeditplugin.cpp qvarianteditplugin.cpp
RESOURCES   = qad_widgets.qrc
TRANSLATIONS = lang/qad_widgets_ru.ts
LIBS        += -L. -lqad_widgets

target.path = $$[QT_INSTALL_PLUGINS]/designer
INSTALLS    += target

CONFIG -= debug_and_release debug
CONFIG += release
